package com.db4o.jgen;

import com.db4o.*;
import com.db4o.lib.*;

public class JPackage
{
	private String i_name;

	public JPackage(String a_name){
		i_name = a_name;
	}
	
	public JPackage(Class a_Class){
		String4 l_s = new String4(a_Class.getName());
		l_s.splitRight(".");
		i_name = l_s.getString();
	}
	
	public String getName(){
		return i_name;
	}
	
	public String getPath(){
		String4 l_s = new String4(i_name);
		l_s.replace(".",java.io.File.separator);
		return l_s.getString() + java.io.File.separator;
	}
	
	public void write (File4 a_File){
		a_File.replace(JGen.PACKAGE,"package " + i_name + ";");
	}
}
