package com.db4o.samples;

import com.db4o.*;

public class S05_Get_SubClasses
{
	public static void main(String[] args)
	{
		ObjectContainer db = Db4o.openFile(AllSamples.FILE);
		System.out.println("*** S05 Retrieving all objects of class Person");


		// Retrieving objects of a class also
		// retrieves objects of subclasses.
		//
		// In this example, objects of the Individual class 
		// and of the Company class are also retrieved.
		ObjectSet os = db.get(new Person());


		while(os.hasNext()){
			com.db4o.lib.Logger.log(db, os.next());
		}
		db.close();
	}
}
