package com.db4o.test;

import com.db4o.*;


/**
 * Tests are currently being rewritten and migrated from
 * old Regression format.
 */
public class AllTests {
	
	static Class[] tests = new Class[]{
		CascadeOnDelete.class,
		IsStored.class
	};

	public static void main(String[] args) throws Exception{
		System.out.println("Starting AllTests.\n\nSettings:");
		System.out.println("TestConfiguration.FILE: " + TestConfiguration.FILE);
		System.out.println("TestConfiguration.SERVER_HOSTNAME: " + TestConfiguration.SERVER_HOSTNAME);
		System.out.println("TestConfiguration.SERVER_PORT: " + TestConfiguration.SERVER_PORT + "\n\n");
		
		long time = System.currentTimeMillis();
		Test.delete();
		TestConfiguration.clientServer = false;
		runTests();
		TestConfiguration.clientServer = true;
		TestConfiguration.runServer = true;
		runTests();
		Test.end();
		time = System.currentTimeMillis() - time;
		System.out.println("\n\nAllTests completed. Time: " + time + "ms");
	}
	
	
	private static void runTests() throws Exception{
		for (int i = 0; i < tests.length; i++) {
			Test.open();
			Runnable toRun = (Runnable)tests[i].newInstance();
			toRun.run();
			Test.close();
		}
	}
	
	
	
	
}
