package com.db4o.test;

import com.db4o.*;
import com.db4o.lib.*;

public class LogAll
{
	public static void main(String[] args)
	{
		run(Regression.file);
	}
	
	
	public static void run(String fileName){
		System.out.println("/** Logging database file: '" + fileName + "' **/");
		ObjectContainer con = Db4o.openFile(fileName);
		ObjectSet set = con.get(null);
		while(set.hasNext()){
			Logger.log(con, set.next());
		}
		con.close();
	}
}
