package com.db4o.lib;

public class IntTree extends Tree
{
	protected int i_key;
	
	public IntTree(int a_key){
		i_key = a_key;
	}
	
	public IntTree add(int a_key){
		return (IntTree)add(new IntTree(a_key));
	}
	
	boolean duplicates(){
		return false;
	}
	
	int compare(Tree a_tree){
		return i_key - ((IntTree)a_tree).i_key;
	}
	
	public IntTree find(int a_key){
		return (IntTree)find(new IntTree(a_key));
	}
}
