package com.db4o.samples.constructors;

import com.db4o.*;


/**
 * This example demonstrates that db4o internally tests the usability of present
 * constructors upon storing the first instance of a class and upon opening a
 * database file. The output documents a total of five calls to the Con01DefaultClass
 * constructor. Calls 2, 3 and 4 are tests within the db4o engine.
 */
public class Con01Default {
	
	public static void main(String[] args) {
		Con01DefaultClass c01 = new Con01DefaultClass();
		ConstructorExamples.store(c01);
		ConstructorExamples.retrieve(c01);
	}
}
