package com.db4o.samples.constructors;

import com.db4o.*;


/**
 * This example shows, what db4o does, if no usable constructor is found.
 * The exception thrown in the constructor of Con03NoUsableConstructorClass
 * is caught and objects of that class will not be stored.
 */
public class Con03NoUseableConstructor {
	
	public static void main(String[] args) {
		Con03NoUsableConstructorClass c03 = new Con03NoUsableConstructorClass("test");
		ConstructorExamples.store(c03);
		ConstructorExamples.retrieve(c03);
	}
}
