package com.db4o.test.test2;

import java.util.*;
import com.db4o.test.*;
import com.db4o.test.types.*;
import com.db4o.*;

public class RTreeMapComparator extends RMap{

	Entry entry(){
		return new IntEntry();
	}

	public Object newInstance(){
		return new TreeMap(new CustomComparator());
	}

	public void specific(ObjectContainer con, int step){
		if(step > 0){
			int foundComparators = 0;
			ObjectSet set = con.get(new TreeMap());
			while(set.hasNext()){
				TreeMap tm = (TreeMap)set.next();
				Comparator cmp = tm.comparator();
				if(cmp != null){
					if(cmp instanceof CustomComparator){
						foundComparators ++;
						if(foundComparators >= step){
							return;
						}
					}
				}
			}
			Regression.addError("RTreeMapComparator comparator lost on the way");
		}
	}
}
